/* Bulma Messages & Notifications */
.message .message-body {
    padding: 0.75rem 1rem; /* default is 1.25rem */
}

.notification.is-dismissible {
    padding: 0.6rem 0.75rem;
    cursor: pointer;
    transition:
        opacity 0.15s ease,
        transform 0.15s ease;
}

.notification.is-dismissible:hover {
    opacity: 0.7;
}

/* Remove hyperlink look from account/assets links */
.account-link,
.asset-link,
.income-link,
.expense-link,
.expense-link {
    color: inherit;
    text-decoration: none;
}

.account-link:hover,
.asset-link:hover,
.income-link:hover,
.expense-link:hover,
.expense-link:hover {
    text-decoration: underline;
    cursor: pointer;
}

/* used in the log entry modals to ensure text wraps properly */
.break-all {
    word-break: break-all;
    overflow-wrap: anywhere;
}

/* form helper to denote required fields */
.label.is-required::after {
    content: " *";
    color: #f14668;
}

/* Announcements */
.announcement-body ul {
    list-style: disc;
    margin-left: 1.5rem;
    margin-top: 0.5rem;
    margin-bottom: 1rem;
}

.announcement-body ol {
    list-style: decimal;
    margin-left: 1.5rem;
    margin-top: 0.5rem;
    margin-bottom: 1rem;
}

.announcement-body p {
    margin-bottom: 1rem;
}

.announcement-body li {
    margin-bottom: 0.35rem;
}
